function alpha1vs2_recreateAndVisualize(...
    rawFeatures,rawLabelInts,results,iperm,idirty,irun,ibreakp)
% Re-creates a data and trained network, and visualizes the network action.

%% Recreate situation
mlp1 = results{iperm}.resOfCase{idirty}{irun}{1}{ibreakp}{1}.currentMLP;
mlp2 = results{iperm}.resOfCase{idirty}{irun}{1}{ibreakp}{2}.currentMLP;

data = alpha1vs2_recreateNoisyData(rawFeatures, rawLabelInts, results, iperm, idirty);

%% Plot
alpha1vs2_visThreeClasses(data, mlp1, mlp2);
