function x = simple_mlp_optimWrapSolvOpt(initX, uFunc, uPar, ...
					 stepsize, maxIter, fgoal, ...
					 gnsgoal)
% The solvopt solver wrapped with the same interface as our own
% ones.
%
% (Similar wrapper can be used for any black-box optimizer.)

f.fun = uFunc;
f.pars = uPar;

g.fun = uFunc;
g.pars = uPar;
g.pars.onlyGrad = true;

options=[0 0 0 maxIter 0 0 0 0];

[x, value, options] = solvoptWithParams(initX, f, g, options);
