function  [rate, cm] = classifAccuracy(impureGuesses, truePrototypes, prototypes)

[pureGuesses, guessInd] = classifToClosest(impureGuesses, prototypes);
[truePrototypes, trueInd] = classifToClosest(truePrototypes, prototypes);

cm = confusionMatrixFromIndices(guessInd, trueInd);
rate = confusionMatrix_getRates(cm);
