% This script will setup directories, and display a welcome
% message.

thisDir = pwd;

path(fullfile(thisDir),path);
path(fullfile(thisDir,'m'),path);
path(fullfile(thisDir,'demo','paper_wcci2010'),path);
path(fullfile(thisDir,'demo','smalldemos'),path);
path(fullfile(thisDir,'mutil'),path);
path(fullfile(thisDir,'solvopt'),path);
path(fullfile(thisDir,'data'),path);

fprintf(1,'Hola\n----\n\n');
fprintf(1,['Installation: You need to change "alpha1vs2_dirsetup.m"\n' ...
	   'to return directories correct for your setup.\n\n']);
fprintf(1,['Then, you may run "alpha1vs2_run_experiments.m"\n' ...
	   'to fully repeat our computational experiments.\n']);
fprintf(1,['(It may take a lot of time).\n']);
fprintf(1,['The file alpha1vs2_run_experiments is also a starting\n' ...
	   'point for examining how our system works.\n\n']);
fprintf(1,['The MLP and computational experiments are licensed under\n' ...
	   'the MIT license. Solvopt is included only for convenience;\n' ...
	   'please contact its authors for any issues specific to' ...
	   ' it.\n']);
