function data = makeCloud(n,x,c)
% Provides a data matrix of n columns, drawn from a normal distribution
% (randn, std deviation 1) focused around point x, using c as a scaling 
% factor. x must be a column vector.

dim = numel(x);
data = repmat(x,1,n) + c * randn(dim,n);
